Форум русскоязычного сообщества Ubuntu


Считаете, что Ubuntu недостаточно дружелюбна к новичкам?
Помогите создать новое Руководство для новичков!

Автор Тема: Tor Browser зависает при первом запуске в Ubuntu 20.04.01  (Прочитано 663 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн AlexeiAlexei

  • Автор темы
  • Новичок
  • *
  • Сообщений: 5
    • Просмотр профиля
Добрый день!

Возникла проблема в Ubuntu 20.04.01: Tor Browser зависает при первом запуске
на этапе сверки подписи.
Подскажите, пожалуйста, как ее решить?

Ниже текст из терминала:

Код: (html5) [Выделить]
alexey-maria@lenovo-ideapad-s340-15api:~$ torbrowser-launcher
Программа запуска Tor Browser
Написана Micah Lee и распространяется по лицензии MIT
версия 0.3.2
https://github.com/micahflee/torbrowser-launcher
Загрузка Tor Browser в первый раз.
Загрузка https://aus1.torproject.org/torbrowser/update_3/release/Linux_x86_64-gcc3/x/en-US
Последняя версия: 10.0.10
Загрузка https://dist.torproject.org/torbrowser/10.0.10/tor-browser-linux64-10.0.10_en-US.tar.xz.asc
Загрузка https://dist.torproject.org/torbrowser/10.0.10/tor-browser-linux64-10.0.10_en-US.tar.xz
Сверка подписи
Refreshing local keyring...
Traceback (most recent call last):
  File "/usr/lib/python3/dist-packages/torbrowser_launcher/launcher.py", line 589, in verify
    c.verify(signature=sig, signed_data=signed)
  File "/usr/lib/python3/dist-packages/gpg/core.py", line 541, in verify
    raise errors.BadSignatures(results[1], results=results)
gpg.errors.BadSignatures: 110775B5D101FB36BC6C911BEB774491D9FF06E2: Срок действия ключа истек

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/lib/python3/dist-packages/torbrowser_launcher/launcher.py", line 600, in run
    verify()
  File "/usr/lib/python3/dist-packages/torbrowser_launcher/launcher.py", line 594, in verify
    raise Exception
Exception

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/lib/python3/dist-packages/torbrowser_launcher/launcher.py", line 603, in run
    self.common.refresh_keyring()
  File "/usr/lib/python3/dist-packages/torbrowser_launcher/common.py", line 196, in refresh_keyring
    p = subprocess.Popen(['/usr/bin/gpg2', '--status-fd', '2',
  File "/usr/lib/python3.8/subprocess.py", line 854, in __init__
    self._execute_child(args, executable, preexec_fn, close_fds,
  File "/usr/lib/python3.8/subprocess.py", line 1702, in _execute_child
    raise child_exception_type(errno_num, err_msg, err_filename)
FileNotFoundError: [Errno 2] Нет такого файла или каталога: '/usr/bin/gpg2'

Цитировать
Правила форума
1.4. Листинги и содержимое текстовых файлов следует добавлять в сообщение с помощью тегов [spoiler]...[/spoiler] или [code]...[/code], либо прикреплять к сообщению в виде отдельного файла. Длинные гиперссылки следует оформлять при помощи тега [url=]...[/url]
--Aleksandru
« Последнее редактирование: 21 Февраль 2021, 22:32:04 от Aleksandru »

Оффлайн bezbo

  • Старожил
  • *
  • Сообщений: 1485
    • Просмотр профиля
Нет такого файла или каталога: '/usr/bin/gpg2'

sudo apt install gnupg2 -y

Оффлайн AlexeiAlexei

  • Автор темы
  • Новичок
  • *
  • Сообщений: 5
    • Просмотр профиля
bezbo, помогло.
Спасибо!

 

Страница сгенерирована за 0.082 секунд. Запросов: 26.